AutoCAD Inventor :: Color Of Part In Assembly Not Change
Jun 6, 2013
My part color is yellow. In the assembly It shows as gray.
I cant seem to get it to change to match the part color. I used to know why this happens and knew how to fix it but seem to have forgot. How do you get this to work?
I also recently loaded 2014, but had the same problem with 2013, so its not a release issue.
I`m looking for the iLogic code that can change one parameter (user defined) for each (ipt) part in assembly (iam)
The one below doesn`t work.
Sub Main Dim oApp As Inventor.Application = ThisApplication Dim oAssy As Inventor.AssemblyDocument = oApp.ActiveDocument For Each oSubDoc as Inventor.Document In oAssy.AllReferencedDocuments On Error Resume Next Parameter(oSubDoc, "FH") = 15.26 Next End Sub
I have an assembly of stair made from steel. There are lots of part the same. Is there a way to make a hole (inside assembly) to one and that hole would appear on all of them.
And another problem, how can I made cut (inside assembly) through more then one part so that would affect a part also when I open it alone.
Before using iLogic, I created lot of iAssembly and iPart. I could change iPart factory member when I need in iAssembly.Now, I want to move everything to iLogic.
how could I change the part by iLogic code?
For example:
I generated "Part1.ipt" and "Part2.ipt",...... (I have hundred of member)
In my assembly, sometimes, I need use Part1.ipt, sometimes I need use Part2.ipt.
Which is the iLogic Code I should to use?
Inventor 2009, WIN XP. Autodesk Inventor Professional 2013 (64 Bit) SP2 Windows 7 Professional Service Pack 1 Intel(R) Xeon(R) CPU E5645 12.0 GB Memory
there is a way to change the template used for a part or assembly. The problem is that I created a template to fit my needs but I had to update it and the update doesn't effect the parts created with the old version one. How do update the templates of the files created using the old template?
Is there a way to have inventor make each part in an assembly have a different color? I like to work in assemblies like this because it is easier to tell the parts from each other. It's just time-consuming to go through and change everything if the assembly was designed with realistic colors. I am thinking there might be a macro for this, but I don't have much experience with macros so idk.
(extra brownie points if the method has the capability of reverting back to realistic colors) Inventor 2014 HP Pavilion dv6t-6b00 Intel Core i7 2670QM AMD Radeon HD 6490M 8gb RAM Windows 7 64 bit 3Dconnexion SpaceExplorer
This is my first time using Inventor but I've been using ProE for several years in school. A friend of mine told me about a feature in ProE where you are able to define a part and then define one of the lengths as it is placed into an assembly. For example I would define a 2x4 part with a length of 84inches. If I wanted a 2x4 of 68inches in my assembly I would use the same file but simply change the 84 to 68. How can I do this with Inventor?
I have a part that occurs nine times in an assembly. These were all the same parts before but now I need to make them table driven iParts in order to add a custom iProperty that changes to make them all different. They are all the same except for this on iProperty field that changes.I can create the iPart no problem. My questions are:
1.) Should I just open the part file and make it an iPart?
2.) Do I need to replace the files in the assembly somehow?
3.) I would assume that I can just edit the file to make it an iPart and then use some kind of "change component" right click to select which one goes where right?
4.) Is there some other workflow I should be using?
I have a model part with colors assigned to different features but they do not carry over to the assembly model. The assembly first came up as all grey when our computers were upgraded to Windows 7, I have been playing with it and got some of the color back. I am new to Inventor and not familiar with how the colors work.
I have an assembly which contains a CComPtr<ComponentOccurrence> pThisCompOcc , and I'd like to do two things.
Get the name of the "base" object, not the display name of the occurence Change the model and user parameter values of the occurrence I suspect that I need to find the function or method which gives me a CComPtr<PartComponentDefinition> pPartCompDef which the occurrence points to for the Q1, but what about Q2?
Presumably the parameters are associated with the Component Occurrence and the "real" name is associated with the Part Component Definition?
How do I change the a part material render style within an assembly?
I have tried this below. It changes the name but doesn't update the render style. Sub Material()Dim oassy As AssemblyDocumentSet oassy = ThisApplication.ActiveDocumentDim ocompdef As AssemblyComponentDefinitionSet ocompdef = oassy.ComponentDefinitionDim ooccurr As ComponentOccurrencesSet ooccurr = ocompdef.OccurrencesDim opartdef As ComponentDefinitionSet opartdef = ooccurr.Item(11).Definitionopartdef.Material.RenderStyle.Name = "Red"End Sub
I am using Inventor 2014. I have an assembly where one parts has to be trimmed after assembly. When I do the cut in assembly, the part turns to a different color (black). My current view rep in assembly is Default.
There are instances where we need to add an extrusion in an assembly (.iam) to show labeling that needs to be done on the floor during assembly.
So we do a new sketch to the face where we need to add the "label", we use text and extrude it 0.001" deep (cut).
On the drawing (.idw) you can see it no problem, but in the model (.iam) itself it's hard to see since the faces that result from the extrusion are the same color as the participant part.
My question is this: Is it possible to change the color of the face of the extrusion?
It's not super important but it would be a good thing to show that detail as we sometimes print a color version of the 3D view for prototyping, troubleshooting, etc.
If L(i) = 1 Then oOcc.RenderStyle = _invApp.ActiveDocument.RenderStyles.Item("Red") If L(i) = 2 Then oOcc.RenderStyle = _invApp.ActiveDocument.RenderStyles.Item("Yellow")
But I want to change like this and it not work:
Lcolor(1)="Red"Lcolor(2)="Yellow"L(2)=1L(1)=2for i=1 to 2oOcc.RenderStyle = _invApp.ActiveDocument.RenderStyles.Item(Lcolor(L(i)))next
I quite often import hardware models downloaded form various mfg or supplier websites. McMaster Carr for example provides a great deal of hardware models. While they offer native formats for SW they do not do this for IV (not many places do)
Since the [imported] models often open up with default properties, I change the material to something that closely represents the actual hardware or item. In some cases, there are certain portions of the item that are in reality colored or textured differently and I sometimes want to duplicate that for aesthetics and a more accurate view for people that use my assembly files.
In SW, it was always real easy to select just a face (regardless of whether the surface was part of an entire part, a feature, an imported solid body, etc. I could always change the properties of just a face or slection of faces. Since it was a standard pc of hardware, I had no concern about updates.
I have a part file that contains two imported solid bodies. If I select just a single face and try to change the color of it, it changes the entire part. Not what I want.
Dear Sir, In particular project, when I insert part in Assembly file, It is inserted as a Tube & Pipe run part. so that It is not Grounded automatically. What is the settings by which I can insert as a normal part in assembly file ? I have attached herewith the JPG file also.
I would like to simplify this assembly into one seamless part for FEM calculation:The assembly consists out of parts that, in reality, will be welded together. Due to their form, there is no way to place them exactly onto each other, therefore there are slight gaps between the parts:
Now when I try to merge the assembly into one part via "simplify" --> "create simplified part" and choose "single solid body with seams between planar faces merged", Inventor does not fill these gaps (even though it displays only one part in the bottom right corner of my window). Unfortunately, the remaining gaps brings "contact" problems in the FEM simulation.
how to close the gaps and really merge the assembly into one part?
I have a part that has protrusions. When i mate that part up to another part that second part needs to have cutouts/holes to receive those protrusions.
i mainly use it in sheetmetal parts. and use the rectangular protrusions on de contour to mate up with corresponding cutouts in the other sheet. this works with positioning and also makes for a nice weld spot/area.
But also for making holes to accommodate a mold pin used in custom punch dies. I want the intervening part to receive a corresponding (propperly tolleranced) hole automatically. Much like a bolted connection does.
same for parts like circlips. i want them to automatically generate the seat in the part it's mated to. Rather than using the axle generator.
Ofcourse one can place the parts and do an in assembly interpart projection and go from there, but i want the part to generate the (predifined) modification to the other part. It would save time and also reduces problems as the parts are moved about or even removed.
I have an assembly with 10 parts in it. We use many assembly features at the assembly level (Revolve cut, Extrusion cut..etc). How to find the mass difference of each part by comparing at its parts level and its assembly level.
I have a two part duct fire damper assembly. The IDW has the combined two part assembly, which I know how to turn the CoG on, so that it can be dimensioned. The problem is each piece will more than likely be hoisted separately so I would like to show the CoG for each piece, not the combined master assy.is there a way to do this?
Inventor 2014 Windows 7 Pro SP1 Intel(R) Core(TM) i7-3770k CPU @ 3.50GHz 16GB RAM NVIDIA Quadro 4000 3D Connexion SpaceMouse Pro
Why when I mirror a part in an assembly the mirrored part gets a new part number? I want to mirror only the position of the part which is always the same part. Is it possible to do that in Inventor?
I am capturing a book-case design that I made long ago into Intentor. I am almost finished, and I want to produce .dwg files and a bill of materials of parts that can be held.
For various reasons, almost all the items in the existing design are assemblies, and the underlying parts correspond more or less to half of physical parts that are contained inside a repeating cell. I will almost certainly continue using this approach.
A simplified design that shows this is at [URL]..... in the file Display.iam
I created the file Slat.ipt by using derive (Slat.iam).
If I replace the Slat assemblies with the file Slat.ipt, the bill of materials will show parts that correspond to physical parts that I can hold in my hand, or list on an invoice. I can do this with many, many mouse operations.
To make this modification quickly, I attempted to do Component -> replace on the Slat assembly. I use this operation a lot to replace one version of an assembly with another. When I do it with a .ipt file, the system pauses for some tens of seconds, then crashes.
A brute force work around is to use the mouse to do the replacement, essentially rebuilding the entire project in place.
as you can see from the image, the blue cone isnt transparent. i set the material properties to "clear blue" to make it "see through", i want to show whats under the cone. however the cone isnt transparent. how can i get the cone to be transparent? is there a step im missing?